package com.persagy.apm.diagnose.indicatorrecord.model;

import com.persagy.apm.common.model.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import java.io.Serializable;
import java.util.Date;

/**
 * 监测指标历史记录(MonitorIndicatorRecord)实体类
 * @author lixing
 * @version V1.0 2021-09-10 00:13:27
 */
@Data
@ApiModel(description = "监测指标历史记录")
public class MonitorIndicatorRecord implements Serializable {
    private static final long serialVersionUID = -42365400485581158L;


    @ApiModelProperty("对象id")
    private String objId;

    @ApiModelProperty("项目id")
    private String projectId;
    
    @ApiModelProperty("监测指标id")
    private String monitorIndicatorId;
    
    @ApiModelProperty("时间")
    private Date date;
    
    @ApiModelProperty("值")
    private Double value;
    

    public static String PROP_OBJ_ID = "obj_id";
    public static String PROP_MONITOR_INDICATOR_ID = "monitor_indicator_id";
    public static String PROP_DATE = "date";
    public static String PROP_VALUE = "value";
    public static String PROJECT_ID = "project_id";

}
